geronimo-scm mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From jdil...@apache.org
Subject svn commit: r532881 - in /geronimo/sandbox/build-support/harness/trunk: build.xml src/main/bin/ src/main/bin/mvn src/main/java/ src/main/java/ReLauncher.java
Date Thu, 26 Apr 2007 21:59:06 GMT
Author: jdillon
Date: Thu Apr 26 14:59:05 2007
New Revision: 532881

URL: http://svn.apache.org/viewvc?view=rev&rev=532881
Log:
Add a stupid relaucher to eat up those ISE that get thrown

Added:
    geronimo/sandbox/build-support/harness/trunk/src/main/bin/
    geronimo/sandbox/build-support/harness/trunk/src/main/bin/mvn   (with props)
    geronimo/sandbox/build-support/harness/trunk/src/main/java/
    geronimo/sandbox/build-support/harness/trunk/src/main/java/ReLauncher.java   (with props)
Modified:
    geronimo/sandbox/build-support/harness/trunk/build.xml

Modified: geronimo/sandbox/build-support/harness/trunk/build.xml
URL: http://svn.apache.org/viewvc/geronimo/sandbox/build-support/harness/trunk/build.xml?view=diff&rev=532881&r1=532880&r2=532881
==============================================================================
--- geronimo/sandbox/build-support/harness/trunk/build.xml (original)
+++ geronimo/sandbox/build-support/harness/trunk/build.xml Thu Apr 26 14:59:05 2007
@@ -46,7 +46,27 @@
         </taskdef>
     </target>
     
-    <target name="install" depends="init">
+    <target name="compile" depends="init">
+        <artifact:dependencies pathId="compile.libs">
+            <dependency groupId="classworlds" artifactId="classworlds" version="1.1"/>
+        </artifact:dependencies>
+        
+        <mkdir dir="${target.dir}/classes"/>
+        
+        <javac srcdir="${basedir}/src/main/java"
+               destdir="${target.dir}/classes"
+               source="1.4"
+               classpathref="compile.libs">
+        </javac>
+        
+        <jar destfile="${target.dir}/relauncher.jar">
+            <fileset dir="${target.dir}/classes">
+                <include name="**/*"/>
+            </fileset>
+        </jar>
+    </target>
+    
+    <target name="install" depends="compile">
         <mkdir dir="${image.dir}"/>
         
         <!-- Setup the base image -->
@@ -58,6 +78,13 @@
                 <exclude name="tools/ant/lib/*.pom*"/>
             </fileset>
         </copy>
+        
+        <!-- Install the ReLauncher for Maven -->
+        <copy file="${target.dir}/relauncher.jar"
+              todir="${image.dir}/tools/maven/boot"/>
+        <copy file="${basedir}/src/main/bin/mvn"
+              todir="${image.dir}/tools/maven/bin"
+              overwrite="true"/>
         
         <!-- Include some external libs -->
         <artifact:dependencies pathId="external.libs">

Added: geronimo/sandbox/build-support/harness/trunk/src/main/bin/mvn
URL: http://svn.apache.org/viewvc/geronimo/sandbox/build-support/harness/trunk/src/main/bin/mvn?view=auto&rev=532881
==============================================================================
--- geronimo/sandbox/build-support/harness/trunk/src/main/bin/mvn (added)
+++ geronimo/sandbox/build-support/harness/trunk/src/main/bin/mvn Thu Apr 26 14:59:05 2007
@@ -0,0 +1,167 @@
+#!/bin/sh
+# ----------------------------------------------------------------------------
+# Licensed to the Apache Software Foundation (ASF) under one
+# or more contributor license agreements.  See the NOTICE file
+# distributed with this work for additional information
+# regarding copyright ownership.  The ASF licenses this file
+# to you under the Apache License, Version 2.0 (the
+# "License"); you may not use this file except in compliance
+# with the License.  You may obtain a copy of the License at
+#
+#    http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing,
+# software distributed under the License is distributed on an
+# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+# KIND, either express or implied.  See the License for the
+# specific language governing permissions and limitations
+# under the License.
+# ----------------------------------------------------------------------------
+
+#   Copyright (c) 2001-2002 The Apache Software Foundation.  All rights
+#   reserved.
+
+# ----------------------------------------------------------------------------
+# Maven2 Start Up Batch script
+#
+# Required ENV vars:
+# ------------------
+#   JAVA_HOME - location of a JDK home dir
+#
+# Optional ENV vars
+# -----------------
+#   M2_HOME - location of maven2's installed home dir
+#   MAVEN_OPTS - parameters passed to the Java VM when running Maven
+#     e.g. to debug Maven itself, use
+#       set MAVEN_OPTS=-Xdebug -Xnoagent -Djava.compiler=NONE -Xrunjdwp:transport=dt_socket,server=y,suspend=y,address=8000
+# ----------------------------------------------------------------------------
+
+
+QUOTED_ARGS=""
+while [ "$1" != "" ] ; do
+
+  QUOTED_ARGS="$QUOTED_ARGS \"$1\""
+  shift
+
+done
+
+if [ -f /etc/mavenrc ] ; then
+  . /etc/mavenrc
+fi
+
+if [ -f "$HOME/.mavenrc" ] ; then
+  . "$HOME/.mavenrc"
+fi
+
+# OS specific support.  $var _must_ be set to either true or false.
+cygwin=false;
+darwin=false;
+mingw=false
+case "`uname`" in
+  CYGWIN*) cygwin=true ;;
+  MINGW*) mingw=true;;
+  Darwin*) darwin=true 
+           if [ -z "$JAVA_VERSION" ] ; then
+             JAVA_VERSION="CurrentJDK"
+           else
+             echo "Using Java version: $JAVA_VERSION"
+           fi
+           if [ -z "$JAVA_HOME" ] ; then
+             JAVA_HOME=/System/Library/Frameworks/JavaVM.framework/Versions/${JAVA_VERSION}/Home
+           fi
+           ;;
+esac
+
+if [ -z "$JAVA_HOME" ] ; then
+  if [ -r /etc/gentoo-release ] ; then
+    JAVA_HOME=`java-config --jre-home`
+  fi
+fi
+
+if [ -z "$M2_HOME" ] ; then
+  ## resolve links - $0 may be a link to maven's home
+  PRG="$0"
+
+  # need this for relative symlinks
+  while [ -h "$PRG" ] ; do
+    ls=`ls -ld "$PRG"`
+    link=`expr "$ls" : '.*-> \(.*\)$'`
+    if expr "$link" : '/.*' > /dev/null; then
+      PRG="$link"
+    else
+      PRG="`dirname "$PRG"`/$link"
+    fi
+  done
+
+  saveddir=`pwd`
+
+  M2_HOME=`dirname "$PRG"`/..
+
+  # make it fully qualified
+  M2_HOME=`cd "$M2_HOME" && pwd`
+
+  cd "$saveddir"
+  # echo Using m2 at $M2_HOME
+fi
+
+# For Cygwin, ensure paths are in UNIX format before anything is touched
+if $cygwin ; then
+  [ -n "$M2_HOME" ] &&
+    M2_HOME=`cygpath --unix "$M2_HOME"`
+  [ -n "$JAVA_HOME" ] &&
+    JAVA_HOME=`cygpath --unix "$JAVA_HOME"`
+  [ -n "$CLASSPATH" ] &&
+    CLASSPATH=`cygpath --path --unix "$CLASSPATH"`
+fi
+
+# For Migwn, ensure paths are in UNIX format before anything is touched
+if $mingw ; then
+  [ -n "$M2_HOME" ] &&
+    M2_HOME="`(cd "$M2_HOME"; pwd)`"
+  [ -n "$JAVA_HOME" ] &&
+    JAVA_HOME="`(cd "$JAVA_HOME"; pwd)`"
+  # TODO classpath?
+fi
+
+if [ -z "$JAVACMD" ] ; then
+  if [ -n "$JAVA_HOME"  ] ; then
+    if [ -x "$JAVA_HOME/jre/sh/java" ] ; then
+      # IBM's JDK on AIX uses strange locations for the executables
+      JAVACMD="$JAVA_HOME/jre/sh/java"
+    else
+      JAVACMD="$JAVA_HOME/bin/java"
+    fi
+  else
+    JAVACMD=java
+  fi
+fi
+
+if [ ! -x "$JAVACMD" ] ; then
+  echo "Error: JAVA_HOME is not defined correctly."
+  echo "  We cannot execute $JAVACMD"
+  exit 1
+fi
+
+if [ -z "$JAVA_HOME" ] ; then
+  echo "Warning: JAVA_HOME environment variable is not set."
+fi
+
+CLASSWORLDS_LAUNCHER=ReLauncher
+
+# For Cygwin, switch paths to Windows format before running java
+if $cygwin; then
+  [ -n "$M2_HOME" ] &&
+    M2_HOME=`cygpath --path --windows "$M2_HOME"`
+  [ -n "$JAVA_HOME" ] &&
+    JAVA_HOME=`cygpath --path --windows "$JAVA_HOME"`
+  [ -n "$HOME" ] &&
+    HOME=`cygpath --path --windows "$HOME"`
+fi
+
+exec "$JAVACMD" \
+  $MAVEN_OPTS \
+  -classpath "${M2_HOME}/boot/relauncher.jar:${M2_HOME}/boot/classworlds-1.1.jar" \
+  "-Dclassworlds.conf=${M2_HOME}/bin/m2.conf" \
+  "-Dmaven.home=${M2_HOME}"  \
+  ${CLASSWORLDS_LAUNCHER} $QUOTED_ARGS
+

Propchange: geronimo/sandbox/build-support/harness/trunk/src/main/bin/mvn
------------------------------------------------------------------------------
    svn:executable = *

Added: geronimo/sandbox/build-support/harness/trunk/src/main/java/ReLauncher.java
URL: http://svn.apache.org/viewvc/geronimo/sandbox/build-support/harness/trunk/src/main/java/ReLauncher.java?view=auto&rev=532881
==============================================================================
--- geronimo/sandbox/build-support/harness/trunk/src/main/java/ReLauncher.java (added)
+++ geronimo/sandbox/build-support/harness/trunk/src/main/java/ReLauncher.java Thu Apr 26
14:59:05 2007
@@ -0,0 +1,31 @@
+/*
+ *  Licensed to the Apache Software Foundation (ASF) under one
+ *  or more contributor license agreements.  See the NOTICE file
+ *  distributed with this work for additional information
+ *  regarding copyright ownership.  The ASF licenses this file
+ *  to you under the Apache License, Version 2.0 (the
+ *  "License"); you may not use this file except in compliance
+ *  with the License.  You may obtain a copy of the License at
+ *
+ *    http://www.apache.org/licenses/LICENSE-2.0
+ *
+ *  Unless required by applicable law or agreed to in writing,
+ *  software distributed under the License is distributed on an
+ *  "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+ *  KIND, either express or implied.  See the License for the
+ *  specific language governing permissions and limitations
+ *  under the License.
+ */
+
+public class ReLauncher
+{
+    public static void main(final String[] args) throws Exception {
+        try {
+            org.codehaus.classworlds.Launcher.main(args);
+        }
+        catch (IllegalStateException e) {
+            System.err.println("WARN: " + e + "; (ignoring)");
+            e.printStackTrace();
+        }
+    }
+}

Propchange: geronimo/sandbox/build-support/harness/trunk/src/main/java/ReLauncher.java
------------------------------------------------------------------------------
    svn:eol-style = native

Propchange: geronimo/sandbox/build-support/harness/trunk/src/main/java/ReLauncher.java
------------------------------------------------------------------------------
    svn:keywords = Date Author Id Revision HeadURL

Propchange: geronimo/sandbox/build-support/harness/trunk/src/main/java/ReLauncher.java
------------------------------------------------------------------------------
    svn:mime-type = text/plain



Mime
View raw message